#
# Conditional build:
%bcond_without	tests	# don't perform make partcheck
#
Summary:	Linux-native asynchronous I/O access library
Summary(pl.UTF-8):	Biblioteka natywnego dla Linuksa asynchronicznego dostępu do wejścia/wyjścia
Name:		libaio
Version:	0.3.111
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://releases.pagure.org/libaio/%{name}-%{version}.tar.gz
# Source0-md5:	abb8f46d64b9bd3d0c6097e3a36639be
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-Werror.patch
Patch2:		x32.patch
Patch3:		%{name}-link.patch
URL:		https://pagure.io/libaio
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has
a richer API and capability set than the simple POSIX async I/O
facility.

This library, libaio, provides the Linux-native API for async I/O. The
POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

%description -l pl.UTF-8
Natywna dla Linuksa obsługa asynchronicznego wejścia/wyjścia ("async
I/O" lub "aio") ma bogatsze API i zestaw możliwości niż proste
asynchroniczne wejście/wyjście zgodne z POSIX.

Ta biblioteka - libaio - udostępnia natywne Linuksowe API dla
asynchronicznego we/wy. Zgodne z POSIX asynchroniczne we/wy wymaga tej
biblioteki do udostępnienia przyspieszanych przez jądro możliwości
asynchronicznego we/wy, podobnie jak aplikacje wymagające natywnego
dla Linuksa API asynchronicznego we/wy.

%package devel
Summary:	Header files for libaio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libaio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libaio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libaio.

%package static
Summary:	Static libaio library
Summary(pl.UTF-8):	Statyczna biblioteka libaio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libaio library.

%description static -l pl.UTF-8
Statyczna biblioteka libaio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -fomit-frame-pointer -fPIC -Wall -I."

%{?with_tests:%{__make} CC="%{__cc}" partcheck}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	libdir=/%{_lib} \
	usrlibdir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man3
cp -a man/io*.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) /%{_lib}/libaio.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libaio.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaio.so
%{_includedir}/libaio.h
%{_mandir}/man3/io*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libaio.a
%changelog
* Tue Apr 17 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libaio.git;a=log;h=master

* Tue Apr 17 2018 Jakub Bogusz <qboosh@pld-linux.org> 3ef0e52
- cleanup; when linking with libc, SSP can be enabled

* Mon Apr 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 4e305c8
- new URLs, updated to 0.3.111
- updated Werror,x32 patches
- added link patch (link with libc as now it uses syscall() symbol)

* Wed Jan 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 2c47660
- new Source0 URL, updated to 0.3.110
- updated Werror patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d3c205e
- x32 rebuild
- release 2 (by relup.sh)

* Tue Dec 30 2014 Jan Rękorajski <baggins@pld-linux.org> 3bbf7e3
- fix building on x32

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c772505
- drop Werror from test suite

* Sun Jan 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 382975a
- updated DESTDIR patch to use relative soname symlink (same directory)
- dropped outdated rpm-utils BR

* Mon Jan 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b5c9a1
- no need for src.rpm, use tarball

* Mon Jan 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 450ab93
- run test suite

* Mon Jan 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d12856
- up to 0.3.109 (use src.rpm as source)

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> 981bb88
- release 2

* Tue Oct 27 2009 Elan Ruusamäe <glen@pld-linux.org> 3f1eec6
- lib64 fix

* Tue Oct 27 2009 Elan Ruusamäe <glen@pld-linux.org> c44802e
- add -DESTDIR.patch

* Fri Jul 25 2008 Elan Ruusamäe <glen@pld-linux.org> a822ab9
- uploaded tarball to df

* Fri Jul 11 2008 Jakub Bogusz <qboosh@pld-linux.org> c862da4
- updated to 0.3.107 (from Fedora)
- added arches patch (m68k/sparc/arm/misc/hppa support) from Debian
- ghost soname symlink

* Fri Jul 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 5e23096
- m68k/sparc/arm/misc/hppa support from Debian

* Thu Oct 25 2007 Elan Ruusamäe <glen@pld-linux.org> 3ebe367
- move libaio to /%{_lib}; rel 2

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 48e3947
- resolve manuals conflict with man-pages and glibc-devel-doc

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> f3df877
- updated to 0.3.106

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 97a5873
- tabs in preamble

